Index: src/Fragmentation/Automation/FragmentController.cpp
===================================================================
--- src/Fragmentation/Automation/FragmentController.cpp	(revision dba6d162581bd1026fa90391ce4c3c62bdde0d38)
+++ src/Fragmentation/Automation/FragmentController.cpp	(revision 5adb84984c3a69ab1022d16497045fd243ee9087)
@@ -50,5 +50,8 @@
     host(_host),
     service(_service),
-    Exitflag(OkFlag)
+    recjobs(connection_, _host, _service),
+    checkres(connection_, _host, _service),
+    sendres(connection_, _host, _service),
+    shutdown(connection_, _host, _service)
 {
   Info info(__FUNCTION__);
@@ -61,10 +64,27 @@
 {}
 
-/** Handle completion of a connect operation.
+/** Constructor for class Operation.
+ *
+ * \param _connection connection to operate on
+ */
+FragmentController::Operation::Operation(Connection &_connection, const std::string& _host, const std::string& _service) :
+    connection_(_connection),
+    host(_host),
+    service(_service),
+    Exitflag(OkFlag)
+{}
+
+/** Destructor for class Operation.
+ *
+ */
+FragmentController::Operation::~Operation()
+{}
+
+/** Handle connect operation to receive jobs from controller
  *
  * \param e error code if something went wrong
  * \param endpoint_iterator endpoint of the connection
  */
-void FragmentController::handle_connect_calc(const boost::system::error_code& e,
+void FragmentController::ReceiveJobsOperation::handle_connect_calc(const boost::system::error_code& e,
     boost::asio::ip::tcp::resolver::iterator endpoint_iterator)
 {
@@ -75,5 +95,5 @@
     enum ControllerChoices choice = ReceiveJobs;
     connection_.async_write(choice,
-      boost::bind(&FragmentController::handle_SendJobs, this,
+      boost::bind(&FragmentController::ReceiveJobsOperation::handle_SendJobs, this,
       boost::asio::placeholders::error));
   } else if (endpoint_iterator != boost::asio::ip::tcp::resolver::iterator()) {
@@ -82,5 +102,5 @@
     boost::asio::ip::tcp::endpoint endpoint = *endpoint_iterator;
     connection_.socket().async_connect(endpoint,
-      boost::bind(&FragmentController::handle_connect_calc, this,
+      boost::bind(&FragmentController::ReceiveJobsOperation::handle_connect_calc, this,
       boost::asio::placeholders::error, ++endpoint_iterator));
   } else {
@@ -93,10 +113,25 @@
 }
 
-/** Handle completion of a connect operation.
+/** Callback function when an operation has been completed.
+ *
+ * \param e error code if something went wrong
+ */
+void FragmentController::ReceiveJobsOperation::handle_FinishOperation(const boost::system::error_code& e)
+{
+  Info info(__FUNCTION__);
+
+  LOG(1, "INFO: Jobs have been sent. Clearing.");
+  jobs.clear();
+
+  Operation::handle_FinishOperation(e);
+}
+
+
+/** Handle connect operation to send number of done jobs.
  *
  * \param e error code if something went wrong
  * \param endpoint_iterator endpoint of the connection
  */
-void FragmentController::handle_connect_check(const boost::system::error_code& e,
+void FragmentController::CheckResultsOperation::handle_connect_check(const boost::system::error_code& e,
     boost::asio::ip::tcp::resolver::iterator endpoint_iterator)
 {
@@ -107,5 +142,5 @@
     enum ControllerChoices choice = CheckState;
     connection_.async_write(choice,
-      boost::bind(&FragmentController::handle_ReceiveDoneJobs, this,
+      boost::bind(&FragmentController::CheckResultsOperation::handle_ReceiveDoneJobs, this,
       boost::asio::placeholders::error));
   } else if (endpoint_iterator != boost::asio::ip::tcp::resolver::iterator()) {
@@ -114,5 +149,5 @@
     boost::asio::ip::tcp::endpoint endpoint = *endpoint_iterator;
     connection_.socket().async_connect(endpoint,
-      boost::bind(&FragmentController::handle_connect_check, this,
+      boost::bind(&FragmentController::CheckResultsOperation::handle_connect_check, this,
       boost::asio::placeholders::error, ++endpoint_iterator));
   } else {
@@ -125,10 +160,10 @@
 }
 
-/** Handle completion of a connect operation.
+/** Handle connect operation to send results.
  *
  * \param e error code if something went wrong
  * \param endpoint_iterator endpoint of the connection
  */
-void FragmentController::handle_connect_get(const boost::system::error_code& e,
+void FragmentController::SendResultsOperation::handle_connect_get(const boost::system::error_code& e,
     boost::asio::ip::tcp::resolver::iterator endpoint_iterator)
 {
@@ -139,5 +174,5 @@
     enum ControllerChoices choice = SendResults;
     connection_.async_write(choice,
-      boost::bind(&FragmentController::handle_ReceivingResults, this,
+      boost::bind(&FragmentController::SendResultsOperation::handle_ReceivingResults, this,
       boost::asio::placeholders::error));
   } else if (endpoint_iterator != boost::asio::ip::tcp::resolver::iterator()) {
@@ -146,5 +181,5 @@
     boost::asio::ip::tcp::endpoint endpoint = *endpoint_iterator;
     connection_.socket().async_connect(endpoint,
-      boost::bind(&FragmentController::handle_connect_check, this,
+      boost::bind(&FragmentController::SendResultsOperation::handle_connect_get, this,
       boost::asio::placeholders::error, ++endpoint_iterator));
   } else {
@@ -157,10 +192,10 @@
 }
 
-/** Handle completion of a connect operation.
+/** Handle connect operation to shutdown scheduler.
  *
  * \param e error code if something went wrong
  * \param endpoint_iterator endpoint of the connection
  */
-void FragmentController::handle_connect_shutdown(const boost::system::error_code& e,
+void FragmentController::ShutdownOperation::handle_connect_shutdown(const boost::system::error_code& e,
     boost::asio::ip::tcp::resolver::iterator endpoint_iterator)
 {
@@ -171,5 +206,5 @@
     enum ControllerChoices choice = Shutdown;
     connection_.async_write(choice,
-      boost::bind(&FragmentController::handle_FinishOperation, this,
+      boost::bind(&FragmentController::ShutdownOperation::handle_FinishOperation, this,
       boost::asio::placeholders::error));
   } else if (endpoint_iterator != boost::asio::ip::tcp::resolver::iterator()) {
@@ -178,5 +213,5 @@
     boost::asio::ip::tcp::endpoint endpoint = *endpoint_iterator;
     connection_.socket().async_connect(endpoint,
-      boost::bind(&FragmentController::handle_connect_calc, this,
+      boost::bind(&FragmentController::ShutdownOperation::handle_connect_shutdown, this,
       boost::asio::placeholders::error, ++endpoint_iterator));
   } else {
@@ -189,9 +224,9 @@
 }
 
-/** Callback function when operation has been completed.
- *
- * \param e error code if something went wrong
- */
-void FragmentController::handle_FinishOperation(const boost::system::error_code& e)
+/** Callback function when an operation has been completed.
+ *
+ * \param e error code if something went wrong
+ */
+void FragmentController::Operation::handle_FinishOperation(const boost::system::error_code& e)
 {
   Info info(__FUNCTION__);
@@ -215,5 +250,5 @@
  * \param e error code if something went wrong
  */
-void FragmentController::handle_SendJobs(const boost::system::error_code& e)
+void FragmentController::ReceiveJobsOperation::handle_SendJobs(const boost::system::error_code& e)
 {
   Info info(__FUNCTION__);
@@ -225,5 +260,5 @@
     LOG(1, "INFO: Sending "+toString(jobs.size())+" jobs ...");
     connection_.async_write(jobs,
-      boost::bind(&FragmentController::handle_FinishOperation, this,
+      boost::bind(&FragmentController::ReceiveJobsOperation::handle_FinishOperation, this,
       boost::asio::placeholders::error));
   }
@@ -243,5 +278,5 @@
  * \param e error code if something went wrong
  */
-void FragmentController::handle_ReceivingResults(const boost::system::error_code& e)
+void FragmentController::SendResultsOperation::handle_ReceivingResults(const boost::system::error_code& e)
 {
   Info info(__FUNCTION__);
@@ -251,5 +286,5 @@
     // decode the data that is written to the underlying socket.
     connection_.async_read(results,
-      boost::bind(&FragmentController::handle_ReceivedResults, this,
+      boost::bind(&FragmentController::SendResultsOperation::handle_ReceivedResults, this,
       boost::asio::placeholders::error));
   }
@@ -269,5 +304,5 @@
  * \param e error code if something went wrong
  */
-void FragmentController::handle_ReceivedResults(const boost::system::error_code& e)
+void FragmentController::SendResultsOperation::handle_ReceivedResults(const boost::system::error_code& e)
 {
   Info info(__FUNCTION__);
@@ -282,5 +317,5 @@
  * \param e error code if something went wrong
  */
-void FragmentController::handle_ReceiveDoneJobs(const boost::system::error_code& e)
+void FragmentController::CheckResultsOperation::handle_ReceiveDoneJobs(const boost::system::error_code& e)
 {
   Info info(__FUNCTION__);
@@ -291,5 +326,5 @@
     LOG(1, "INFO: Checking number of done jobs ...");
     connection_.async_read(doneJobs,
-      boost::bind(&FragmentController::handle_FinishOperation, this,
+      boost::bind(&FragmentController::Operation::handle_FinishOperation, this,
       boost::asio::placeholders::error));
   }
@@ -306,5 +341,5 @@
  * \return endpoint iterator of connection
  */
-boost::asio::ip::tcp::resolver::iterator FragmentController::getEndpointIterator()
+boost::asio::ip::tcp::resolver::iterator FragmentController::Operation::getEndpointIterator()
 {
   // Resolve the host name into an IP address.
@@ -321,5 +356,5 @@
  * We require internal connetion_ and host and service to be set up for this.
  */
-void FragmentController::connect_calc()
+void FragmentController::ReceiveJobsOperation::connect_calc()
 {
   Info info(__FUNCTION__);
@@ -331,5 +366,5 @@
   std::cout << "Connecting to endpoint " << endpoint << " to calc " << std::endl;
   connection_.socket().async_connect(endpoint,
-    boost::bind(&FragmentController::handle_connect_calc, this,
+    boost::bind(&FragmentController::ReceiveJobsOperation::handle_connect_calc, this,
       boost::asio::placeholders::error, ++endpoint_iterator));
 }
@@ -339,5 +374,5 @@
  * We require internal connetion_ and host and service to be set up for this.
  */
-void FragmentController::connect_check()
+void FragmentController::CheckResultsOperation::connect_check()
 {
   Info info(__FUNCTION__);
@@ -349,5 +384,5 @@
   std::cout << "Connecting to endpoint " << endpoint << " to check " << std::endl;
   connection_.socket().async_connect(endpoint,
-    boost::bind(&FragmentController::handle_connect_check, this,
+    boost::bind(&FragmentController::CheckResultsOperation::handle_connect_check, this,
       boost::asio::placeholders::error, ++endpoint_iterator));
 }
@@ -357,5 +392,5 @@
  * We require internal connetion_ and host and service to be set up for this.
  */
-void FragmentController::connect_get()
+void FragmentController::SendResultsOperation::connect_get()
 {
   Info info(__FUNCTION__);
@@ -367,5 +402,5 @@
   std::cout << "Connecting to endpoint " << endpoint << " to get results " << std::endl;
   connection_.socket().async_connect(endpoint,
-    boost::bind(&FragmentController::handle_connect_get, this,
+    boost::bind(&FragmentController::SendResultsOperation::handle_connect_get, this,
       boost::asio::placeholders::error, ++endpoint_iterator));
 }
@@ -375,5 +410,5 @@
  * We require internal connetion_ and host and service to be set up for this.
  */
-void FragmentController::connect_shutdown()
+void FragmentController::ShutdownOperation::connect_shutdown()
 {
   Info info(__FUNCTION__);
@@ -385,5 +420,5 @@
   std::cout << "Connecting to endpoint " << endpoint << " to get results " << std::endl;
   connection_.socket().async_connect(endpoint,
-    boost::bind(&FragmentController::handle_connect_shutdown, this,
+    boost::bind(&FragmentController::ShutdownOperation::handle_connect_shutdown, this,
       boost::asio::placeholders::error, ++endpoint_iterator));
 }
@@ -392,5 +427,5 @@
  *
  */
-void FragmentController::disconnect()
+void FragmentController::Operation::disconnect()
 {
   //connection_.socket().close();
@@ -401,5 +436,5 @@
  * \param _jobs jobs to add
  */
-void FragmentController::addJobs(const std::vector<FragmentJob> &_jobs)
+void FragmentController::ReceiveJobsOperation::addJobs(const std::vector<FragmentJob> &_jobs)
 {
   jobs.reserve(jobs.size()+_jobs.size());
@@ -411,5 +446,5 @@
 /** Prepares the calculation of the results for the current jobs.
  */
-void FragmentController::calculateResults()
+void FragmentController::ReceiveJobsOperation::operator()()
 {
   Info info(__FUNCTION__);
@@ -422,5 +457,5 @@
 /** Prepares the calculation of the results for the current jobs.
  */
-void FragmentController::checkResults()
+void FragmentController::CheckResultsOperation::operator()()
 {
   Info info(__FUNCTION__);
@@ -433,8 +468,7 @@
 /** Getter for results.
  *
- * \sa calculateResults()
  * \return vector of results for the added jobs (\sa addJobs()).
  */
-std::vector<FragmentResult> FragmentController::getResults()
+std::vector<FragmentResult> FragmentController::SendResultsOperation::getResults()
 {
   Info info(__FUNCTION__);
@@ -445,5 +479,5 @@
  *
  */
-void FragmentController::obtainResults()
+void FragmentController::SendResultsOperation::operator()()
 {
   // connect
@@ -456,5 +490,5 @@
  *
  */
-void FragmentController::shutdown()
+void FragmentController::ShutdownOperation::operator()()
 {
   // connect
@@ -469,5 +503,5 @@
  * \param doneJobs
  */
-size_t FragmentController::getDoneJobs() const
+size_t FragmentController::CheckResultsOperation::getDoneJobs() const
 {
   return doneJobs;
@@ -478,5 +512,5 @@
  * \return jobs.size()
  */
-size_t FragmentController::getPresentJobs() const
+size_t FragmentController::ReceiveJobsOperation::getPresentJobs() const
 {
   return jobs.size();
Index: src/Fragmentation/Automation/FragmentController.hpp
===================================================================
--- src/Fragmentation/Automation/FragmentController.hpp	(revision dba6d162581bd1026fa90391ce4c3c62bdde0d38)
+++ src/Fragmentation/Automation/FragmentController.hpp	(revision 5adb84984c3a69ab1022d16497045fd243ee9087)
@@ -34,96 +34,225 @@
 {
 public:
-  FragmentController(boost::asio::io_service& io_service, const std::string& host, const std::string& service);
+  FragmentController(boost::asio::io_service& io_service, const std::string& _host, const std::string& _service);
   ~FragmentController();
 
-  /// Handle completion of a calculate operation.
-  void handle_connect_calc(const boost::system::error_code& e,
-      boost::asio::ip::tcp::resolver::iterator endpoint_iterator);
-
-  /// Handle completion of a CheckResults operation.
-  void handle_connect_check(const boost::system::error_code& e,
-      boost::asio::ip::tcp::resolver::iterator endpoint_iterator);
-
-  /// Handle completion of a GetResults operation.
-  void handle_connect_get(const boost::system::error_code& e,
-      boost::asio::ip::tcp::resolver::iterator endpoint_iterator);
-
-  /// Handle completion of a Shutdown operation.
-  void handle_connect_shutdown(const boost::system::error_code& e,
-      boost::asio::ip::tcp::resolver::iterator endpoint_iterator);
-
-  /// Handle completion of an operation.
-  void handle_FinishOperation(const boost::system::error_code& e);
-
-  /// Callback function when bunch of jobs have been sent.
-  void handle_SendJobs(const boost::system::error_code& e);
-
-  /// Callback function when doneJobs have been received.
-  void handle_ReceiveDoneJobs(const boost::system::error_code& e);
-
-  /// Callback function when results are about to be received.
-  void handle_ReceivingResults(const boost::system::error_code& e);
-
-  /// Callback function when results have been received.
-  void handle_ReceivedResults(const boost::system::error_code& e);
-
-  /// place number of jobs into this controller
-  void addJobs(const std::vector<FragmentJob> &jobs);
-
-  /// prepares the calculation of the results
-  void calculateResults();
-  
-  enum Exitflag_t {
-    OkFlag = 0,
-    ErrorFlag = 255
-  };
+  class Operation {
+  public:
+    Operation(Connection &_connection, const std::string& _host, const std::string& _service);
+    virtual ~Operation();
+  public:
+    /// The Connection to the server.
+    Connection &connection_;
+
+    // virtual function pointer to the operation to do
+    virtual void operator()() = 0;
+
+    /// Handle completion of an operation.
+    void handle_FinishOperation(const boost::system::error_code& e);
+
+    enum Exitflag_t {
+      OkFlag = 0,
+      ErrorFlag = 255
+    };
+
+    // get the exit flag of the last operations
+    size_t getExitflag() const
+    {
+      return Exitflag;
+    }
+
+  protected:
+    /// internal function to resolve host name and ip address
+    boost::asio::ip::tcp::resolver::iterator getEndpointIterator();
+
+    /// internal function to disconnect from server
+    void disconnect();
+
+  protected:
+    /// host name of server
+    const std::string host;
+
+    // service to connect to to
+    const std::string service;
+
+    /// flag of operation to give on program exit
+    enum Exitflag_t Exitflag;
+  };
+
+  class ReceiveJobsOperation : public Operation {
+  public:
+    /// Constructor for class ReceiveJobsOperation.
+    ReceiveJobsOperation(Connection &_connection, const std::string& _host, const std::string& _service) :
+      Operation(_connection, _host, _service) {}
+    /// Destructor for class ReceiveJobsOperation
+    ~ReceiveJobsOperation() {}
+
+  public:
+    /// Placing receive jobs operations into an io_service
+    virtual void operator()();
+
+    /// Handle completion of a calculate operation.
+    void handle_connect_calc(const boost::system::error_code& e,
+        boost::asio::ip::tcp::resolver::iterator endpoint_iterator);
+
+    /// Callback function when bunch of jobs have been sent.
+    void handle_SendJobs(const boost::system::error_code& e);
+
+    /// Handle completion of an operation.
+    void handle_FinishOperation(const boost::system::error_code& e);
+
+    /// internal function to connect to server and send jobs for calculation
+    void connect_calc();
+
+    /// Setter for jobs
+    void addJobs(const std::vector<FragmentJob> &jobs);
+
+    /// Getter for number of size of jobs
+    size_t getPresentJobs() const;
+
+  protected:
+    /// bunch of jobs
+    std::vector<FragmentJob> jobs;
+  };
+
+  struct CheckResultsOperation : public Operation  {
+  public:
+    /// Constructor for class CheckResultsOperation.
+    CheckResultsOperation(Connection &_connection, const std::string& _host, const std::string& _service) :
+      Operation(_connection, _host, _service),
+      doneJobs(0)
+    {}
+    /// Destructor for class CheckResultsOperation
+    ~CheckResultsOperation() {}
+
+  public:
+    // placing receive jobs operations into an io_service
+    virtual void operator()();
+
+    /// Handle completion of a CheckResults operation.
+    void handle_connect_check(const boost::system::error_code& e,
+        boost::asio::ip::tcp::resolver::iterator endpoint_iterator);
+
+    /// Callback function when doneJobs have been received.
+    void handle_ReceiveDoneJobs(const boost::system::error_code& e);
+
+    /// Handle completion of an operation.
+    void handle_FinishOperation(const boost::system::error_code& e);
+
+    /// internal function to connect to server and check done jobs
+    void connect_check();
+
+    /// Getter for doneJobs
+    size_t getDoneJobs() const;
+
+  protected:
+    /// currently calculated results
+    size_t doneJobs;
+  };
+
+  struct SendResultsOperation : public Operation  {
+  public:
+    /// Constructor for class SendResultsOperation.
+    SendResultsOperation(Connection &_connection, const std::string& _host, const std::string& _service) :
+      Operation(_connection, _host, _service) {}
+    /// Destructor for class SendResultsOperation
+    ~SendResultsOperation() {}
+
+  public:
+    // placing receive jobs operations into an io_service
+    virtual void operator()();
+
+    /// Handle completion of a GetResults operation.
+    void handle_connect_get(const boost::system::error_code& e,
+        boost::asio::ip::tcp::resolver::iterator endpoint_iterator);
+
+          /// Callback function when results are about to be received.
+          void handle_ReceivingResults(const boost::system::error_code& e);
+
+          /// Callback function when results have been received.
+          void handle_ReceivedResults(const boost::system::error_code& e);
+
+    /// internal function to connect to server and receive calculated results
+    void connect_get();
+
+    /// Getter for results
+    std::vector<FragmentResult> getResults();
+
+  protected:
+    /// bunch of results
+    std::vector<FragmentResult> results;
+  };
+
+  struct ShutdownOperation : public Operation  {
+  public:
+    /// Constructor for class ShutdownOperation.
+    ShutdownOperation(Connection &_connection, const std::string& _host, const std::string& _service) :
+      Operation(_connection, _host, _service) {}
+    /// Destructor for class ShutdownOperation
+    ~ShutdownOperation() {}
+
+  public:
+    // placing receive jobs operations into an io_service
+    virtual void operator()();
+
+    /// Handle completion of a Shutdown operation.
+    void handle_connect_shutdown(const boost::system::error_code& e,
+        boost::asio::ip::tcp::resolver::iterator endpoint_iterator);
+
+    /// internal function to connect to server and receive calculated results
+    void connect_shutdown();
+
+  };
+
+protected:
+  /// The Connection to the server.
+  Connection connection_;
+
+public:
+
+  ReceiveJobsOperation recjobs;
+  CheckResultsOperation checkres;
+  SendResultsOperation  sendres;
+  ShutdownOperation shutdown;
 
   // get the exit flag of the last operations
   size_t getExitflag() const
   {
-    return Exitflag;
-  }
-
-  /// prepares the receival of the results
-  void obtainResults();
-
-  /// prepares the server's shutdown
-  void shutdown();
+    if (recjobs.getExitflag() != 0)
+      return recjobs.getExitflag();
+    if (checkres.getExitflag() != 0)
+      return checkres.getExitflag();
+    if (sendres.getExitflag() != 0)
+      return sendres.getExitflag();
+    if (shutdown.getExitflag() != 0)
+      return shutdown.getExitflag();
+    return 0;
+  }
+
+  /// place number of jobs into this controller
+  void addJobs(const std::vector<FragmentJob> &jobs)
+  {
+    recjobs.addJobs(jobs);
+  }
 
   /// get the results for the current jobs
-  std::vector<FragmentResult> getResults();
-
-  /// get the number of finished results for the current jobs
-  void checkResults();
+  std::vector<FragmentResult> getResults()
+  {
+    return sendres.getResults();
+  }
 
   /// Getter for doneJobs
-  size_t getDoneJobs() const;
+  size_t getDoneJobs() const
+  {
+    return checkres.getDoneJobs();
+  }
 
   /// Getter for number of jobs in the queue
-  size_t getPresentJobs() const;
+  size_t getPresentJobs() const
+  {
+    return recjobs.getPresentJobs();
+  }
 
 private:
-  /// internal function to resolve host name and ip address
-  boost::asio::ip::tcp::resolver::iterator getEndpointIterator();
-
-  /// internal function to connect to server and send jobs for calculation
-  void connect_calc();
-
-  /// internal function to connect to server and check done jobs
-  void connect_check();
-
-  /// internal function to connect to server and receive calculated results
-  void connect_get();
-
-  /// internal function to connect to server and receive calculated results
-  void connect_shutdown();
-
-  /// internal function to disconnect from server
-  void disconnect();
-
-private:
-  /// The Connection to the server.
-  Connection connection_;
-
   /// host name of server
   const std::string host;
@@ -131,16 +260,4 @@
   // service to connect to to
   const std::string service;
-
-  /// bunch of jobs
-  std::vector<FragmentJob> jobs;
-
-  /// flag to give on program exit
-  enum Exitflag_t Exitflag;
-
-  /// bunch of results
-  std::vector<FragmentResult> results;
-
-  /// currently calculated results
-  size_t doneJobs;
 };
 
Index: src/Fragmentation/Automation/JobAdder.cpp
===================================================================
--- src/Fragmentation/Automation/JobAdder.cpp	(revision dba6d162581bd1026fa90391ce4c3c62bdde0d38)
+++ src/Fragmentation/Automation/JobAdder.cpp	(revision 5adb84984c3a69ab1022d16497045fd243ee9087)
@@ -67,5 +67,5 @@
     }
     controller.addJobs(jobs);
-    controller.calculateResults();
+    controller.recjobs();
     {
       Info info("io_service");
Index: src/Fragmentation/Automation/ResultChecker.cpp
===================================================================
--- src/Fragmentation/Automation/ResultChecker.cpp	(revision dba6d162581bd1026fa90391ce4c3c62bdde0d38)
+++ src/Fragmentation/Automation/ResultChecker.cpp	(revision 5adb84984c3a69ab1022d16497045fd243ee9087)
@@ -59,5 +59,5 @@
     FragmentController controller(io_service, argv[1], argv[2]);
 
-    controller.checkResults();
+    controller.checkres();
     {
       Info info("io_service");
Index: src/Fragmentation/Automation/ResultGetter.cpp
===================================================================
--- src/Fragmentation/Automation/ResultGetter.cpp	(revision dba6d162581bd1026fa90391ce4c3c62bdde0d38)
+++ src/Fragmentation/Automation/ResultGetter.cpp	(revision 5adb84984c3a69ab1022d16497045fd243ee9087)
@@ -67,5 +67,5 @@
     }
 
-    controller.obtainResults();
+    controller.sendres();
     {
       Info info("io_service");
